our own cdn is being blocked via private browsing tracking protection because entities list doesn't recognize that all the sites are owned by one. Causing Fonts and other styles to never being presented on the sites.

RESOLVED FIXED

Status

()

RESOLVED FIXED
2 years ago
2 years ago

People

(Reporter: fabtoussaint, Assigned: francois)

Tracking

49 Branch
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(URL)

Attachments

(1 attachment)

(Reporter)

Description

2 years ago
Created attachment 8808260 [details]
Screen Shot 2016-11-07 at 1.17.53 PM.png

User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/54.0.2840.71 Safari/537.36

Steps to reproduce:

sites: "collider.com",
 +            "solecollector.com",
 +            "pigeonsandplanes.com",
 +            "theridechannel.com",
 +            "firstwefeast.com"

Visit above sites in a private window with Tracking Protection on and you'll notice it blocks resources from complex.com. Each site is missing font syles, images, svgs, etc...


Actual results:

sites: "collider.com",
 +            "solecollector.com",
 +            "pigeonsandplanes.com",
 +            "theridechannel.com",
 +            "firstwefeast.com"

blocks the following styles and fonts needed from:

- fonts.complex.com
- svg.complex.com
- cdn.complexmedianetwork.com
- player.complex.com
- images.comlpex.com


Expected results:

not block complex.com or complexmedianetwork.com for the sites listed above
Component: Untriaged → Tracking Protection
Product: Core → Firefox
(Assignee)

Comment 1

2 years ago
With the exception of theridechannel.com, all of these domains belong to Complex Media as far as I can see in whois:

Domain Name: COMPLEX.COM
Registry Domain ID: 3238336_DOMAIN_COM-VRSN
Registrar WHOIS Server: whois.godaddy.com
Registrar URL: http://www.godaddy.com
Update Date: 2014-08-18T03:15:36Z
Creation Date: 1997-06-21T04:00:00Z
Registrar Registration Expiration Date: 2021-09-01T11:59:59Z
Registrar: GoDaddy.com, LLC
...
Registry Registrant ID: Not Available From Registry
Registrant Name: Complex Media
Registrant Organization: Complex Media, Inc.
Registrant Street: 1271 Avenue of the Americas
Registrant Street: 35th Floor
Registrant City: New York
Registrant State/Province: New York
Registrant Postal Code: 10020
Registrant Country: US
Registrant Phone: +1.9172623198

Domain Name: COMPLEXMEDIANETWORK.COM
Registry Domain ID: 1236667694_DOMAIN_COM-VRSN
Registrar WHOIS Server: whois.godaddy.com
Registrar URL: http://www.godaddy.com
Update Date: 2016-09-25T13:57:32Z
Creation Date: 2007-09-24T14:37:18Z
Registrar Registration Expiration Date: 2017-09-24T14:37:18Z
Registrar: GoDaddy.com, LLC
...
Registrant Name: Complex Media
Registrant Organization: Complex Media, Inc.
Registrant Street: 1271 Avenue of the Americas
Registrant Street: 35th Floor
Registrant City: New York
Registrant State/Province: New York
Registrant Postal Code: 10020
Registrant Country: US
Registrant Phone: +1.9172623198

Domain Name: COLLIDER.COM
Registry Domain ID: 819656_DOMAIN_COM-VRSN
Registrar WHOIS Server: whois.godaddy.com
Registrar URL: http://www.godaddy.com
Update Date: 2014-11-06T20:20:46Z
Creation Date: 1998-01-28T05:00:00Z
Registrar Registration Expiration Date: 2021-02-15T18:44:26Z
Registrar: GoDaddy.com, LLC
...
Registrant Name: Complex Media
Registrant Organization: Complex Media, Inc.
Registrant Street: 1271 Avenue of the Americas
Registrant Street: 35th Floor
Registrant City: New York
Registrant State/Province: New York
Registrant Postal Code: 10020
Registrant Country: US
Registrant Phone: +1.9172623198

Domain Name: SOLECOLLECTOR.COM
Registry Domain ID: 102159078_DOMAIN_COM-VRSN
Registrar WHOIS Server: whois.godaddy.com
Registrar URL: http://www.godaddy.com
Update Date: 2014-08-18T03:01:16Z
Creation Date: 2003-08-16T16:43:21Z
Registrar Registration Expiration Date: 2020-09-01T11:59:59Z
Registrar: GoDaddy.com, LLC
...
Registrant Name: Complex Media
Registrant Organization: Complex Media, Inc.
Registrant Street: 1271 Avenue of the Americas
Registrant Street: 35th Floor
Registrant City: New York
Registrant State/Province: New York
Registrant Postal Code: 10020
Registrant Country: US
Registrant Phone: +1.9172623198

Domain Name: PIGEONSANDPLANES.COM
Registry Domain ID: 1522800707_DOMAIN_COM-VRSN
Registrar WHOIS Server: whois.godaddy.com
Registrar URL: http://www.godaddy.com
Update Date: 2016-09-02T15:11:21Z
Creation Date: 2008-10-04T22:34:09Z
Registrar Registration Expiration Date: 2018-09-01T11:59:59Z
Registrar: GoDaddy.com, LLC
...
Registrant Name: Complex Media
Registrant Organization: Complex Media, Inc.
Registrant Street: 1271 Avenue of the Americas
Registrant Street: 35th Floor
Registrant City: New York
Registrant State/Province: New York
Registrant Postal Code: 10020
Registrant Country: US
Registrant Phone: +1.9172623198

Domain Name: FIRSTWEFEAST.COM
Registry Domain ID: 1736416366_DOMAIN_COM-VRSN
Registrar WHOIS Server: whois.godaddy.com
Registrar URL: http://www.godaddy.com
Update Date: 2016-09-02T15:11:38Z
Creation Date: 2012-07-30T13:00:53Z
Registrar Registration Expiration Date: 2018-09-01T11:59:59Z
Registrar: GoDaddy.com, LLC
...
Registrant Name: Complex Media
Registrant Organization: Complex Media, Inc.
Registrant Street: 1271 Avenue of the Americas
Registrant Street: 35th Floor
Registrant City: New York
Registrant State/Province: New York
Registrant Postal Code: 10020
Registrant Country: US
Registrant Phone: +1.9172623198
(Assignee)

Comment 2

2 years ago
theridechannel.com is owned by another organization:

Domain Name: THERIDECHANNEL.COM
Registry Domain ID: 1683834515_DOMAIN_COM-VRSN
Registrar WHOIS Server: whois.godaddy.com
Registrar URL: http://www.godaddy.com
Update Date: 2015-10-25T10:14:48Z
Creation Date: 2011-10-24T19:00:03Z
Registrar Registration Expiration Date: 2017-10-24T19:00:03Z
Registrar: GoDaddy.com, LLC
Registrar IANA ID: 146
Registrar Abuse Contact Email: abuse@godaddy.com
Registrar Abuse Contact Phone: +1.4806242505
Domain Status: clientTransferProhibited http://www.icann.org/epp#clientTransferProhibited
Domain Status: clientUpdateProhibited http://www.icann.org/epp#clientUpdateProhibited
Domain Status: clientRenewProhibited http://www.icann.org/epp#clientRenewProhibited
Domain Status: clientDeleteProhibited http://www.icann.org/epp#clientDeleteProhibited
Registry Registrant ID: Not Available From Registry
Registrant Name: Jared Prindle
Registrant Organization: THI
Registrant Street: 1203 Activity Dr
Registrant City: Vista
Registrant State/Province: California
Registrant Postal Code: 92081
Registrant Country: US
Registrant Phone: (760) 477-2477
Registrant Phone Ext: 
Registrant Fax: (760) 477-2474
Registrant Fax Ext: 
Registrant Email: jaimie@tonyhawk.com
Registry Admin ID: Not Available From Registry
Admin Name: Jared Prindle
Admin Organization: THI
Admin Street: 1203 Activity Dr
Admin City: Vista
Admin State/Province: California
Admin Postal Code: 92081
Admin Country: US
Admin Phone: (760) 477-2477
Admin Phone Ext: 
Admin Fax: (760) 477-2474
Admin Fax Ext: 
Admin Email: jaimie@tonyhawk.com
Registry Tech ID: Not Available From Registry
Tech Name: Jared Prindle
Tech Organization: THI
Tech Street: 1203 Activity Dr
Tech City: Vista
Tech State/Province: California
Tech Postal Code: 92081
Tech Country: US
Tech Phone: (760) 477-2477
Tech Phone Ext: 
Tech Fax: (760) 477-2474
Tech Fax Ext: 
Tech Email: jaimie@tonyhawk.com
Name Server: NS1.THERIDECHANNEL.COM
Name Server: NS2.THERIDECHANNEL.COM
Name Server: NS3.THERIDECHANNEL.COM
Name Server: NS4.THERIDECHANNEL.COM

but that ownership is clarified on the website:

  http://theridechannel.com/about
  http://theridechannel.com/contact

where both Complex Media and Tony Hawk are mentioned.

In addition, the terms and conditions are Complex Media's:

  http://theridechannel.com/terms
(Assignee)

Updated

2 years ago
Assignee: nobody → francois
Status: UNCONFIRMED → ASSIGNED
Ever confirmed: true
(Assignee)

Updated

2 years ago
Status: ASSIGNED → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.